summaryrefslogtreecommitdiffstats
path: root/ci/deploy.sh
diff options
context:
space:
mode:
authorNarinder Gupta <narinder.gupta@canonical.com>2017-08-10 03:20:34 +0000
committerGerrit Code Review <gerrit@opnfv.org>2017-08-10 03:20:34 +0000
commit5bd00249a7f38a15b88dffbfd1fd02d2b76004cc (patch)
tree6d4b2daad5119c0be147fd5cf74acb17e167c517 /ci/deploy.sh
parentcdeb6a51122d7e3a041392fe77b5c36caca224d6 (diff)
parent69fcd9450b35aede25442c4f4dd2b11ff34c2147 (diff)
Merge "cleanup old controllers and models for virtual deployments"
Diffstat (limited to 'ci/deploy.sh')
-rwxr-xr-xci/deploy.sh12
1 files changed, 11 insertions, 1 deletions
diff --git a/ci/deploy.sh b/ci/deploy.sh
index d61e3bad..94c7b416 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -14,6 +14,7 @@ opnfvfeature=none
opnfvdistro=xenial
opnfvarch=amd64
opnfvmodel=openstack
+virtinstall=0
jujuver=`juju --version`
@@ -33,9 +34,10 @@ usage() { echo "Usage: $0 [-s <nosdn|odl|opencontrail>]
[-d <trusty|xenial>]
[-a <amd64>]
[-m <openstack|kubernetes>]
+ [-i <0|1>]
[-r <a|b>]" 1>&2 exit 1; }
-while getopts ":s:t:o:l:h:r:f:d:a:m:" opt; do
+while getopts ":s:t:o:l:h:r:f:d:a:m:i:" opt; do
case "${opt}" in
s)
opnfvsdn=${OPTARG}
@@ -64,6 +66,9 @@ while getopts ":s:t:o:l:h:r:f:d:a:m:" opt; do
m)
opnfvmodel=${OPTARG}
;;
+ i)
+ virtinstall=${OPTARG}
+ ;;
h)
usage
;;
@@ -204,6 +209,11 @@ check_status() {
echo "...... deployment finishing ......."
}
+# In the case of a virtual deployment
+if [ "$virtinstall" -eq 1 ]; then
+ ./clean.sh || true
+fi
+
echo "...... deployment started ......"
deploy